package com.nisum.offertransactionservice.config;

import com.nisum.offertransactionservice.handler.MyResponseErrorHandler;
import org.springframework.boot.web.client.RestTemplateBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;
import org.springframework.web.client.*;

@Configuration
public class OfferTransactionConfig {

    @Bean
    public RestTemplate getRestTemplate() {

        return new RestTemplateBuilder()
                .errorHandler(new MyResponseErrorHandler())
                .build();
    }
}
