package com.nisum.offertransactionservice.converter;

import com.nisum.offertransactionservice.model.OfferTransactionRequest;
import com.nisum.offertransactionservice.model.PERequest;
import org.springframework.stereotype.Component;

import java.util.function.Function;

@Component
public class OfferConverter implements Function<OfferTransactionRequest, PERequest> {

    @Override
    public PERequest apply(OfferTransactionRequest offerTransactionRequest) {
        PERequest peRequest = new PERequest();
        peRequest.setHhId(offerTransactionRequest.getHhId());
        peRequest.setItemList(offerTransactionRequest.getItemList());
        return peRequest;
    }
}
