package com.nisum.offertransactionservice.model;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE, makeFinal = false)
public class OfferMeta {
    String offerId;
    LocalDateTime startTime;
    LocalDateTime expiryTime;
    Status status;
    String eligibility;
    String discount;
    String offerType;
    String offerDesc;
    String rcptTxt;
    Integer discountThreshold;
    String offerLimit;
}
