package com.nisum.offertransactionservice.genericexception;

public class GlobalApiGenericException extends Exception {

	
	private static final long serialVersionUID = -3841677326659278730L;

	private String statusCode;

	private boolean isHttpError;

	public GlobalApiGenericException(String debugMessage, Throwable ex, String statuCode, boolean isHttpError) {
		super(debugMessage, ex);
		this.statusCode =statuCode;
		this.isHttpError = isHttpError;
	}

	public String getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(String statusCode) {
		this.statusCode = statusCode;
	}

	public boolean isHttpError() {
		return isHttpError;
	}

	public void setHttpError(boolean httpError) {
		isHttpError = httpError;
	}
}
